package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ClaseServicio;

public class RenderTipoClasse implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		ClaseServicio tipoClasse = (ClaseServicio) o;

		Listcell lc = new Listcell(tipoClasse.getClaseservicioId().toString());
		lc.setParent(lstm);

		lc = new Listcell(tipoClasse.getDescclase());
		lc.setParent(lstm);

		lstm.setAttribute("data", tipoClasse);
	}
}
